ConfigTable = {
	
	lua_script_path = [[H:\T4\lua\lua_source]], --editor下lua脚本路径,替换方括号里的路径即可

	PrintModule = {
		error_printer = 0,									--是否打开lua错误输出提示框
		out_to_console = 0,									--是否将日志输出到u3d控制台
		out_to_file = 0,									--是否将日志输出到log文件
	},
	
	open_lua_print = 0,									--是否将lua中print函数输出到log文件
	
	open_print_scenejump_config = 0,					--是否显示场景跳跃点配置生成
	
	upload_lua_error = 1,                               --是否上传lua异常
	upload_csharp_error = 1,                            --是否上传c#异常
	pop_window = 0,                                     --在开发模式下，当资源不存在时是否弹窗
	log_by_stream_write = 0,							--是否开启Stream打印日志文件
	log_by_agent_write = 1,								--是否开启Agent打印日志文件
	out_log_to_server = 0,								--是否打印日志到服务端
	log_server_host_name = "192.168.14.88",				--日志服务器IP
	log_server_port = 2010,								--日志服务器端口
	read_out_res_first = 0,								--资源优先读取外部资源
	check_md5 = 1,										--资源下载完成后，是否检查md5
	res_download_timeout_second	 = 120,					--资源下载的超时时间，单位：秒，资源必须在该时间内下载完成，不然都算下载超时
	
	is_check_protocol_align = 0,						--是否开启判断协议对齐

	open_intercept_char = 0,							--是否开始截取字符
	open_ui_profiler = 0,								--是否开启UIProfiler
	open_ui_rect_profiler = 0,							--是否开启UIRectProfiler
	open_ui_richlabel_profiler = 0,						--是否开启UIRichLabelProfiler
	os_mem_free_baseline = 200,							--系统剩余内存大于这个数，可重设特效缓存时间
	thread_stack_size = 2*1024*1000,					--线程栈大小设置(byte)
	open_touch_move = 1,								--开启lua点地寻路
		
	EngineModule = {
		fps = 30 ,									    	--设置FPS
		download_store_count = 10,							--未下载列表保存的文件间隔数
		update_debug_mode = 1,								--是否开启更新面板调试信息
		http_thread = 2,									--http线程数
		max_download_thread = 3,							--资源下载开启的线程数
		atlas_cache = 30,									--图集的cache时间
		atlas_min_cache = 60,                               --图集的cache最小时间
		atlas_max_cache = 180,                              --图集的cache最大时间
		icon_cache = 5,										--icon的cache时间
		LoadSceneModel = 1,
		uiresource_force_unload_cnt = 10,					--释放多少个图集后，会强制gc
		gc_time = 300,						                --gc循环时间（s）
		label_standard_char = '黜_-',
		debug_ui_camera = 0,								-- 查看触摸顺序
		open_debug_module = 1,								--打开lua debug模块
		force_set_platform = "",							--强设平台(ios, android, windows)，留空则引擎自动判断
		force_default_font_name = "semibold",				--强制使用指定字体
		auto_use_bitmap = 1,								-- 是否自动使用静态字体
		auto_use_bitmap_max_font = 22,						-- 自动使用静态字体的最大字号限制，超过这个就不生效		
		debug_fx_crash_log = 0,								-- 打开查询特效闪退开关 		
	},
	
	StatisticModule = {
		lua_object_statistic = 0,							--开启lua对象统计
	},
	
	
	PerformancePrintModule = {
		print_performance_log = 1,                          --是否打印性能log
		print_fps_static = 0,								--是否打印fps详细信息到log中
		print_mem_static = 0,								--是否打印内存详细信息到log中
		print_stats_spf = 0,								--是否打印spf信息到log中	
	},
	

	HideModule = {		
		open_test_button = 0,								--是否开启测试按钮
		hide_nameborad = 0,									--是否开启屏蔽头顶名字
		hide_bloodborad = 0,								--是否开启屏蔽血条
		hide_flyword = 0,									--是否开启屏蔽飘字公告
		hide_effect = 0,									--是否开启屏蔽特效
		hide_mainrole_effect = 0,							--是否开启屏蔽主角身上特效
		hide_otherrole_effect = 0,							--是否开启屏蔽非主角身上特效
		hide__scene_effect = 0,								--是否开启屏蔽场景特效
	},
	
	DisplayModule = {
		enable_lua_stat = 0,								--是否开启lua中的stat统计
		enter_iphonex_mode = 0,								--iPhoneX模式，进入该模式将显示iPhoneX的刘海、圆角、home指示条。 请将editor的分辨率设置成iPhoneX的分辨率 2436x1125 或 1512x698
	}, 
	
	TestModule = {
		robot_mode = 0 ,									--是否打开机器人，数字就是机器人个数
		show_ui = 1 ,										--是否显示UI
		show_uiroot = 1 ,									--是否显示2D ui	
		show_flyword = 1,									--是否开启战斗时候的飘字
		skill_test_id = 0,	       		                	--开启技能测试，数字表示技能id，开启后则所有技能都播放这个技能
		print_map = 0 ,										--是否打印场景地图
		show_red_point = 0  ,                               --是否打开小红点按钮
	},


	ScriptModule = {
		open_wing = 1,										--是否开启翅膀
		open_wing_effect = 1,								--是否开启翅膀特效效果，翅膀特效太耗性能了，不开启
		open_wing_shader = 1,								--是否开启翅膀shader效果
		hide_namebroad = 0,                                 --当角色被屏蔽的时候，是否也屏蔽角色头顶名字

		open_scene_update_profiler = 0,						--是否开启scene相关的update函数的profiler功能
		open_lua_profiler = 0,								--是否开启lua的profiler功能
	},


	Terrain_LoadingModule = {
		terrain_load_config = "加载场景配置",
		terrain_init_config = "初始化场景配置",
		terrain_load_model = "加载场景模型",
		terrain_init_model = "初始化场景模型",
		terrain_init_map = "初始化地图",
		terrain_load_other = "初始化其它",
		terrain_check_res = "正在检查资源更新",
		terrain_download_res = "正在下载场景资源",
		scene_loading_finish = "",
		downloading_tips1 = "已下载 ",
		downloading_tips2 = "M/",
		downloading_tips3 = "M, 下载速度:",
		downloading_tips4 = "KB/s",
		terrain_download_failed = "场景资源下载失败",
	},
	
	SoundModule = {
		default_bg_volum = 0.3,
	},
}
